# dolfen: Downsampling Likelihood Function Estimation

``dolfen``: Downsampling Estimation of the Likelihood function for Time-domain signals

``dolfen`` is an algorithm for Bayesian analysis that infers the likelihood function by downsampling. It is designed in particular for use with simulated, long duration, slowly evolving signals consisting of very many datapoints, where the Bayesian likelihood is expensive.

## Installation

``dolfen`` can be installed using ``pip``:

```console
pip install dolfen
```

### Using ``bilby``

<!--
As of `bilby` version 1.1.0, ``dolia`` is now supported by default but it is still an optional requirement. See the [``bilby`` documentation](https://lscsoft.docs.ligo.org/bilby/index.html) for installation instructions for `bilby`
-->

See the examples included with ``dolfen`` for how to run ``dolfen`` via ``bilby``.

## Documentation

Documentation is available at: [dolfen.readthedocs.io](https://dolfen.readthedocs.io/)

<!--
## Contributing

Please see the guidelines [here](https://github.com/jethrolinley/dolfen/CONTRIBUTING.md).


## Citing

If you find ``dolfen`` useful in your work please cite the DOI for this code and our papers:


-->
